@import url('https://fonts.googleapis.com/css?family=Ubuntu&display=swap');

* {box-sizing: border-box;}
html, body {background-color: white;background-color: transparent;padding: 0;margin: 0;height: 100%;width: 100%;font-weight: normal;color: #000000;font-family: Ubuntu;overflow: hidden;}

td {vertical-align: top;}

.main {width: 100%;height: calc(100vh - 80px);bottom: 0;position: relative;top: 0px;left: 0px;margin-left: auto;margin-right: auto;}
.manual {overflow: auto;max-width: 100%;}
.manual textarea {width: 100%;height: 50px;font-size: 10pt;resize:none}

.modulelist {overflow-y: auto;overflow-x: auto;height: calc(100vh - 190px);width: 360px;font-size: 10pt;}
.modulelist td:first-child {min-width:250px;max-width: 250px;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
.modulelist table td {font-size: 10pt;cursor: pointer; color:blue}
.modulelist table td:hover {background-color: blue;color: white;font-size: 10pt;cursor: pointer;}

.modulelist table td[data-mod='php'] {color:darkblue}
.modulelist table td[data-mod='css'] {color:darkslategray}
.modulelist table td[data-mod='js'] {color:darkslategray}
.modulelist table td[data-mod='JSfunction'] {color:darkslategray}
.modulelist table td[data-mod='TABLE'] {color:darkgreen}
.modulelist table td[data-mod='VIEW'] {color:darkgreen}
.modulelist table td[data-mod='FUNCTION'] {color:maroon}
.modulelist table td[data-mod='PROCEDURE'] {color:maroon}
.modulelist table td[data-mod='EVENT'] {color:maroon}

.modulelist table td[data-mod='php']:hover {color:white;background-color:darkblue}
.modulelist table td[data-mod='css']:hover {color:white;background-color:darkslategray}
.modulelist table td[data-mod='js']:hover {color:white;background-color:darkslategray}
.modulelist table td[data-mod='JSfunction']:hover {color:white;background-color:darkslategray}
.modulelist table td[data-mod='TABLE']:hover {color:white;background-color:darkgreen}
.modulelist table td[data-mod='VIEW']:hover {color:white;background-color:darkgreen}
.modulelist table td[data-mod='FUNCTION']:hover {color:white;background-color:maroon}
.modulelist table td[data-mod='PROCEDURE']:hover {color:white;background-color:maroon}
.modulelist table td[data-mod='EVENT']:hover {color:white;background-color:maroon}

.red {color: red;}
.green {color: green;}
.blue {color: blue;}

.manualtable {width: 100%;}
.manualtable th {text-align: left;font-size: 11pt;}
.manualtable td {text-align: left;font-size: 10pt; white-space: nowrap;}
.manualtable button {cursor: pointer;}

.modulescalled {color: blue;text-decoration: underline;padding-right: 5px;cursor: pointer;}

.notes {width: 100%;}
.notes td {text-align: left;font-size: 10pt;}
.notes ol {list-style-type: square;margin-top: 5px;margin-bottom: 5px;}
.notes ol li {cursor: pointer;}
.notes ol li:hover {color:blue;text-decoration:underline;}
.notes table {width: 100%;}
.notes table td {width:50%}
.notes table td:first-child {border-right:1px solid silver;}
.notes table tr:first-child td {font-weight:bold;border-bottom:1px solid silver}
.notes table tr:nth-child(2) div {overflow: auto; height: calc(100vh - 280px);}
.notes table td ol li span {font-size: 10pt;}
.notes table td ol li span span {float:right; padding-right:20px;}

.statistics {width:95%;margin-right:auto;margin-left:auto; border-collapse: collapse;margin-top:10px;}
.statistics td{ border:1px solid silver; padding-top: 2px; padding-bottom: 2px;}
.statistics tr:first-child td{ font-weight: bold; position:sticky;top:0;background-color: white;}
.statistics tr td:nth-child(n+2) { text-align: right;padding-right: 10px;}
.statistics tr td:last-child { color:blue; font-weight: bold;}
.statistics tr td:first-child {padding-left: 10px;}

li {font-size: 11pt;}
li input {width: 90%;font-size: 11pt;}

.source {font-size: 10pt;}
.scriptsource {color: blue;cursor: pointer;}
.scriptsource:hover {color: white;background-color: blue;cursor: pointer;}

#datapopupbox h1 {font-size: 14pt !important;}

.docu {width:100%;border-collapse: collapse;margin-top: 10px;margin-left:5px;margin-right:5px}
.docu tr:first-child {background-color: gold;}
.docu tr:first-child td:first-child {width:300px !important}
.docu tr:first-child td:nth-child(2) {width:200px !important}
.docu tr:first-child td:nth-child(3) {max-width:100% !important}
.docu pre {font-size:9pt;background-color: #DDDDDD;padding: 10px 10px 10px 10px;text-wrap: unset;overflow-wrap: break-word;}
.top {color:red;font-weight:bold;font-size:10pt;text-decoration:underline red}
.indexes {font-size:12pt;background-color: blue;color: white;line-height: 24px;padding-left: 5px; position: sticky;top:0;}
.indexes2 {width:24%;display:inline-block;white-space: nowrap;text-overflow: ellipsis;overflow: hidden;;padding-right: 5px;padding-top: 5px;}
.typeindexes {width:15%;display:inline-block;white-space: nowrap;text-overflow: ellipsis;overflow: hidden;;padding-right: 5px;padding-top: 5px;}

